/*
 * This file was generated by qdbusxml2cpp version 0.7
 * Command line was: qdbusxml2cpp -l Oscl::Qt::DBus::BlueZ::Mesh::Management1::Server -i server.h -a adaptor dbus.xml
 *
 * qdbusxml2cpp is Copyright (C) 2015 The Qt Company Ltd.
 *
 * This is an auto-generated file.
 * Do not edit! All changes made to it will be lost.
 */

#include "adaptor.h"
#include <QtCore/QMetaObject>
#include <QtCore/QByteArray>
#include <QtCore/QList>
#include <QtCore/QMap>
#include <QtCore/QString>
#include <QtCore/QStringList>
#include <QtCore/QVariant>

/*
 * Implementation of adaptor class Management1Adaptor
 */

Management1Adaptor::Management1Adaptor(Oscl::Qt::DBus::BlueZ::Mesh::Management1::Server *parent)
    : QDBusAbstractAdaptor(parent)
{
    // constructor
    setAutoRelaySignals(true);
}

Management1Adaptor::~Management1Adaptor()
{
    // destructor
}

void Management1Adaptor::AddNode(const QByteArray &uuid, const QVariantMap &options)
{
    // handle method call org.bluez.mesh.Management1.AddNode
    parent()->AddNode(uuid, options);
}

void Management1Adaptor::CreateAppKey(ushort net_index, ushort app_index)
{
    // handle method call org.bluez.mesh.Management1.CreateAppKey
    parent()->CreateAppKey(net_index, app_index);
}

void Management1Adaptor::CreateSubnet(ushort net_index)
{
    // handle method call org.bluez.mesh.Management1.CreateSubnet
    parent()->CreateSubnet(net_index);
}

void Management1Adaptor::DeleteAppKey(ushort app_index)
{
    // handle method call org.bluez.mesh.Management1.DeleteAppKey
    parent()->DeleteAppKey(app_index);
}

void Management1Adaptor::DeleteRemoteNode(ushort primary, uchar count)
{
    // handle method call org.bluez.mesh.Management1.DeleteRemoteNode
    parent()->DeleteRemoteNode(primary, count);
}

void Management1Adaptor::DeleteSubnet(ushort net_index)
{
    // handle method call org.bluez.mesh.Management1.DeleteSubnet
    parent()->DeleteSubnet(net_index);
}

void Management1Adaptor::ImportAppKey(ushort net_index, ushort app_index, const QByteArray &app_key)
{
    // handle method call org.bluez.mesh.Management1.ImportAppKey
    parent()->ImportAppKey(net_index, app_index, app_key);
}

void Management1Adaptor::ImportRemoteNode(ushort primary, uchar count, const QByteArray &device_key)
{
    // handle method call org.bluez.mesh.Management1.ImportRemoteNode
    parent()->ImportRemoteNode(primary, count, device_key);
}

void Management1Adaptor::ImportSubnet(ushort net_index, const QByteArray &net_key)
{
    // handle method call org.bluez.mesh.Management1.ImportSubnet
    parent()->ImportSubnet(net_index, net_key);
}

void Management1Adaptor::SetKeyPhase(ushort net_index, uchar phase)
{
    // handle method call org.bluez.mesh.Management1.SetKeyPhase
    parent()->SetKeyPhase(net_index, phase);
}

void Management1Adaptor::UnprovisionedScan(const QVariantMap &options)
{
    // handle method call org.bluez.mesh.Management1.UnprovisionedScan
    parent()->UnprovisionedScan(options);
}

void Management1Adaptor::UnprovisionedScanCancel()
{
    // handle method call org.bluez.mesh.Management1.UnprovisionedScanCancel
    parent()->UnprovisionedScanCancel();
}

void Management1Adaptor::UpdateAppKey(ushort app_index)
{
    // handle method call org.bluez.mesh.Management1.UpdateAppKey
    parent()->UpdateAppKey(app_index);
}

void Management1Adaptor::UpdateSubnet(ushort net_index)
{
    // handle method call org.bluez.mesh.Management1.UpdateSubnet
    parent()->UpdateSubnet(net_index);
}

